if InvenSimulatorUI.class ~= "사냥꾼" then return end

function InvenSimulatorUI:InitStance()
	self:RegisterSideTab(1, nil, 6, "상", 27044, 13163, 34074, 61847, 13161)
	self:RegisterSideTab(2, "Interface\\Icons\\INV_Box_PetCarrier_01", 2, "소환수", 883)
end

function InvenSimulatorUI:InitClassBuff()
	return 6, {
		"스컬지추적자 전투장비(4 피스 효과)", 64861, "전투력 600만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("스컬지추적자 전투장비") >= 4 end,
		"황폐의 방어구(4 피스 효과)", 37612, "전투력 160만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("황폐의 방어구") >= 4 end,
		"사냥꾼의 징표", 53338, "원거리 전투력 500만큼 증가", nil,
		"신속 사격", 6150, "원거리 공격 속도 15%만큼 증가", function() return InvenSimulatorCharDB.talents["야수;매의 상 연마"] and (InvenSimulatorUI:HasStance("매의 상") or InvenSimulatorUI:HasStance("용매의 상")) end,
		"속사", 3045, "원거리 공격 속도 40%만큼 증가", nil
	}
end

function InvenSimulatorUI:ApplyTalent()
	if self.db.talents["사격;사냥꾼의 징표 연마"] then
		if self:HasGlyphs("사냥꾼의 징표의 문양") then
			-- 사냥꾼의 징표 연마(3) 원거리 전투력 보너스 +10, 20, 30%
			-- 사냥꾼의 징표의 문양: 원거리 전투력 보너스 20%만큼 증가
			self:UpdateClassBuffText("사냥꾼의 징표", "원거리 전투력 "..floor(500 * (1 + self.db.talents["사격;사냥꾼의 징표 연마"] * 0.1 + 0.2)).."만큼 증가")
		else
			-- 사냥꾼의 징표 연마(3) 원거리 전투력 보너스 +10, 20, 30%
			self:UpdateClassBuffText("사냥꾼의 징표", "원거리 전투력 "..floor(500 * (1 + self.db.talents["사격;사냥꾼의 징표 연마"] * 0.1)).."만큼 증가")
		end
	elseif self:HasGlyphs("사냥꾼의 징표의 문양") then
		-- 사냥꾼의 징표의 문양: 원거리 전투력 보너스 20%만큼 증가
		self:UpdateClassBuffText("사냥꾼의 징표", "원거리 전투력 "..floor(500 * 1.2).."만큼 증가")
	end
	if self.db.talents["야수;매의 상 연마"] then
		-- 매의 상 연마(5) 신속 사격의 원거리 공격 속도 +3, 6, 9, 12, 15%
		self:UpdateClassBuffText("신속 사격", "원거리 공격 속도 "..(self.db.talents["야수;매의 상 연마"] * 3).."%만큼 증가")
	end
	-- 원거리 공격 속도 15%증가
	self:MultiSpec("원거리 공격 속도 배율", 0.15)
	-- 두꺼운 가죽(3) 아이템 방어도 4,7,10%
	if self:GetTalentPoint("투꺼운 가죽") == 1 then
		self:MultiSpec("아이템 방어도", 0.04)
	elseif self:GetTalentPoint("투꺼운 가죽") == 2 then
		self:MultiSpec("아이템 방어도", 0.07)
	elseif self:GetTalentPoint("투꺼운 가죽") == 3 then
		self:MultiSpec("아이템 방어도", 0.1)
	end
	-- 살쾡이의 반사 신경(3) 회피율 +1,2,3%
	self:AddSpec("회피율", "살쾡이의 반사 신경", 1)
	-- 독사의 신속함(5) 원거리 공격 속도 4,8,12,16,20%
	self:MultiSpec("원거리 공격 속도 배율", self:GetTalentPoint("독사의 신속함") * 0.04)
	-- 정밀한 사격(5) 원거리 치명타율 1,2,3,4,5%
	self:AddSpec("원거리 치명타율", "정밀한 사격", 1)
	-- 실전 경험(2) 민첩성 +2,4%, 지능 +2,4%
	self:MultiSpec("민첩성", "실전 경험", 0.02)
	self:MultiSpec("지능", "실전 경험", 0.02)
	-- 원거리 무기 전문화(3) 원거리 장비 공격력 배율 1,3,5%증가
	if self.db.talents["사격;원거리 무기 전문화"] == 1 then
		self:MultiSpec("원거리 장비 공격력 배율", 0.01)
	elseif self.db.talents["사격;원거리 무기 전문화"] == 2 then
		self:MultiSpec("사격;원거리 장비 공격력 배율", 0.03)
	elseif self.db.talents["사격;원거리 무기 전문화"] == 3 then
		self:MultiSpec("원거리 장비 공격력 배율", 0.05)
	end
	-- 사격의 명수(5) 근접, 원거리 치명타율 1,2,3,4,5%
	self:AddSpec("치명타율", "사격의 명수", 1)
	self:AddSpec("원거리 치명타율", "사격의 명수", 1)
	-- 생존의 대가(5) 체력 +2,4,6,8,10%
	self:MultiSpec("체력", "생존의 대가", 0.02)
	-- 재빠른 손놀림(3) 무기 막기 +1,2,3%
	self:AddSpec("무기 막기", "재빠른 손놀림", 1)
	-- 살수의 본능(3) 근접, 원거리 치명타율 1,2,3%
	self:AddSpec("치명타율", "살수의 본능", 1)
	self:AddSpec("원거리 치명타율", "살수의 본능", 1)
	-- 번개같은 반사 신경(5) 민첩성 3,6,9,12,15%
	self:MultiSpec("민첩성", "번개같은 반사 신경", 0.03)
	-- 무리 사냥(3) 민첩성 +1,2,3%
	self:MultiSpec("민첩성", "무리 사냥", 0.01)
	-- 내면의 야수(1) 모든 공격력 10%증가
	self:MultiSpec("물리 공격력 배율", "내면의 야수", 0.1)
	-- 화력 집중(2) 야수 소환시 물리 공격력 배율 1, 2%
	if self:HasStance("야수 부르기") then
		self:MultiSpec("물리 공격력 배율", "화력 집중", 0.01)
		if self:GetSetItemPiece("지하추적자 갑옷") >= 4 then
			self:AddSpec("전투력", 50)
			self:AddSpec("원거리 전투력", 50)
		end
	end
end

function InvenSimulatorUI:ApplyLastTalent()
	-- 지구력 훈련(5) 최대 생명력 1,2,3,4,5%
	self:MultiSpec("생명력", self:GetTalentPoint("지구력 훈련") * 0.01)
	-- 신중한 조준(3) 원거리 전투력이 지능의 33, 66, 100%만큼 증가
	if self:GetTalentPoint("신중한 조준") == 1 then
		self:AddSpec("원거리 전투력", floor(self.specTable["지능"] * 0.33))
	elseif self:GetTalentPoint("신중한 조준") == 2 then
		self:AddSpec("원거리 전투력", floor(self.specTable["지능"] * 0.66))
	elseif self:GetTalentPoint("신중한 조준") == 3 then
		self:AddSpec("원거리 전투력", floor(self.specTable["지능"]))
	end
	-- 사냥꾼과 야성(3) 근접, 원거리 전투력이 체력의 +10,20,30%만큼 증가
	self:AddSpec("전투력", floor(self:GetTalentPoint("사냥꾼과 야성") * 0.1 * floor(self.specTable["체력"])))
	self:AddSpec("원거리 전투력", floor(self:GetTalentPoint("사냥꾼과 야성") * 0.1 * floor(self.specTable["체력"])))
	if self:HasStance("매의 상") then
		-- 원거리 전투력 +155
		-- -- 상 숙련(1) 전투력 보너스 30%증가
		self:AddSpec("원거리 전투력", floor(155 * (1 + self:GetTalentPoint("상 숙련") * 1.3)))
		if self:GetSetItemPiece("용추적자 갑옷") >= 3 then
			self:AddSpec("원거리 전투력", floor(155 * 0.2))
		end
	elseif self:HasStance("원숭이의 상") then
		-- 회피율 +18%
		self:AddSpec("회피율", 18)
		-- 원숭이의 상 연마(3) 회피율 +2,4,6%
		self:AddSpec("회피율", "원숭이의 상 연마", 2)
	elseif self:HasStance("독사의 상") then
		-- 물리 공격력 배율 -50%
		-- 상 숙련(1) 공격력 불이익 10%감소
		if self.db.talents["야수;상 숙련"] then
			self:MultiSpec("물리 공격력 배율", -0.4)
		else
			self:MultiSpec("물리 공격력 배율", -0.5)
		end
		if self:GetSetItemPiece("지하추적자 전투장비") >= 4 then
			self:MultiSpec("원거리 공격 속도 배율", 0.20)
		end
	elseif self:HasStance("용매의 상") then
		-- 원거리 전투력 +300
		-- 상 숙련(1) 전투력 보너스 30%증가
		self:AddSpec("원거리 전투력", floor(300 * (1 + self:GetTalentPoint("상 숙련") * 1.3)))
		-- 회피율 +18%
		self:AddSpec("회피율", 18)
		-- 원숭이의 상 연마(3) 회피율 +2,4,6%
		self:AddSpec("회피율", "원숭이의 상 연마", 2)
	end
end

function InvenSimulatorUI:ApplyLastMultiTalent()
	if self:HasStance("야수의 상") then
		-- 근접 전투력 +10%
		-- 야수의 문양: 야수의 상으로 인한 전투력이 2%만큼 증가
		if self:HasGlyphs("야수의 문양") then
			self:MultiSpec("전투력", 0.12)
		else
			self:MultiSpec("전투력", 0.1)
		end
	end
end